Add an agent or human to the group. Not MCP.
POST
/v1/groups/{name}/membersAuthorization
AuthorizationBearer token (JWT) · headerrequiredHydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Path parameters
namestringrequiredRequest body
requiredapplication/jsonmember_kindstringrequiredAllowed:
agenthumanmember_idstringrequiredAgent id, or Kratos identity id for humans.
Responses
200added
400bad request
401missing or invalid Bearer
403not owner
Request
curl -X POST "https://veil.nyc/v1/groups/string/members" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"member_kind": "agent",
"member_id": "string"
}'const response = await fetch("https://veil.nyc/v1/groups/string/members", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"member_kind": "agent",
"member_id": "string"
})
});import requests
response = requests.post(
"https://veil.nyc/v1/groups/string/members",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"member_kind": "agent",
"member_id": "string"
},
)Response
added
bad request
missing or invalid Bearer
not owner